Debian Bug report logs - #641665
915GM (Eee PC 900): fonts have some corrupted glyphs: strikethrough

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Vítor De Araújo <ux386@yahoo.com.br>

Date: Thu, 15 Sep 2011 01:06:01 UTC

Severity: normal

Found in versions linux-2.6/3.2.6-1, 3.0.0-3

Done: Moritz Mühlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=36326

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#641665; Package linux-2.6. (Thu, 15 Sep 2011 01:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vítor De Araújo <ux386@yahoo.com.br>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 15 Sep 2011 01:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vítor De Araújo <ux386@yahoo.com.br>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-3.0.0-1-686-pae: i915 rendering problems; affects font rendering in some X11 apps
Date: Wed, 14 Sep 2011 22:01:48 -0300
[Message part 1 (text/plain, inline)]
Package: linux-2.6
Version: 3.0.0-3
Severity: normal

Dear Maintainer,

After upgrading to testing, some X11 apps, notably Iceweasel, started
to present font rendering errors (characters missing parts). This same
problem has been reported in Ubuntu [1]. It turns out that when booting
with stable's kernel (linux-image-2.6.32-5-686) the problem vanishes.

I have caught this message in one occasion; I don't know if it is related:

Sep 14 20:18:48 huanghomatic kernel: [  113.014194] [drm] capturing error event; look for more information in /de
bug/dri/0/i915_error_state
Sep 14 20:18:48 huanghomatic kernel: [  113.015532] render error detected, EIR: 0x00000010
Sep 14 20:18:48 huanghomatic kernel: [  113.016917] page table error
Sep 14 20:18:48 huanghomatic kernel: [  113.017214]   PGTBL_ER: 0x00000100
Sep 14 20:18:48 huanghomatic kernel: [  113.017214] [drm:i915_report_and_clear_eir] *ERROR* EIR stuck: 0x00000010
, masking
Sep 14 20:18:48 huanghomatic kernel: [  113.017214] render error detected, EIR: 0x00000010
Sep 14 20:18:48 huanghomatic kernel: [  113.017214] page table error
Sep 14 20:18:48 huanghomatic kernel: [  113.017214]   PGTBL_ER: 0x00000100

I haven't been able to cause it again, so couldn't get the content of
the mentioned file in /sys/kernel/debug.

I'm sending a screenshot of an affected screen attached. In this
instance, the 'h' character is misrendered, but it varies from execution
to execution.

I'm running on an Eee PC 900, it this helps.

Thanks in advance!

[1] http://www.ubuntuforums.org/showthread.php?t=1678008



-- Package-specific info:
** Version:
Linux version 3.0.0-1-686-pae (Debian 3.0.0-3) (ben@decadent.org.uk) (gcc version 4.5.3 (Debian 4.5.3-8) ) #1 SMP Sat Aug 27 16:41:03 UTC 2011

** Command line:
root=/dev/sda1 quiet

** Not tainted

** Kernel log:
[    2.006170] sd 1:0:0:0: [sda] Attached SCSI disk
[    2.011234] sd 1:0:0:0: Attached scsi generic sg0 type 0
[    2.011462] sd 1:0:1:0: Attached scsi generic sg1 type 0
[    2.123348] usb 1-5: New USB device found, idVendor=0951, idProduct=1606
[    2.123358] usb 1-5: New USB device strings: Mfr=1, Product=2, SerialNumber=4
[    2.123365] usb 1-5: Product: UB6225
[    2.123370] usb 1-5: Manufacturer: ENE
[    2.123375] usb 1-5: SerialNumber: 146030377350
[    2.139438] usbcore: registered new interface driver uas
[    2.143910] Initializing USB Mass Storage driver...
[    2.144345] scsi2 : usb-storage 1-5:1.0
[    2.144892] usbcore: registered new interface driver usb-storage
[    2.144898] USB Mass Storage support registered.
[    2.236045] usb 1-8: new high speed USB device number 3 using ehci_hcd
[    2.299165] PM: Starting manual resume from disk
[    2.299176] PM: Hibernation image partition 8:2 present
[    2.299180] PM: Looking for hibernation image.
[    2.299821] PM: Image not found (code -22)
[    2.299827] PM: Hibernation image not present or could not be loaded.
[    2.314019] EXT3-fs: barriers not enabled
[    2.314542] kjournald starting.  Commit interval 5 seconds
[    2.314630] EXT3-fs (sda1): mounted filesystem with ordered data mode
[    2.412840] usb 1-8: New USB device found, idVendor=04f2, idProduct=b071
[    2.412850] usb 1-8: New USB device strings: Mfr=2, Product=1, SerialNumber=3
[    2.412856] usb 1-8: Product: CNF7129
[    2.412861] usb 1-8: Manufacturer: Chicony Electronics Co., Ltd.
[    2.412867] usb 1-8: SerialNumber: SN0001
[    2.748823] udevd[239]: starting version 172
[    2.935753] input: Video Bus as /devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input1
[    2.935769] ACPI: Video Device [VGA] (multi-head: yes  rom: no  post: no)
[    3.002054] input: Lid Switch as /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input2
[    3.010267] ACPI: Lid Switch [LID]
[    3.010450] input: Sleep Button as /devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input3
[    3.010463] ACPI: Sleep Button [SLPB]
[    3.010651] input: Power Button as /devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input4
[    3.010661] ACPI: Power Button [PWRB]
[    3.010798] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input5
[    3.010807] ACPI: Power Button [PWRF]
[    3.044078] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    3.052409] ACPI: acpi_idle registered with cpuidle
[    3.052853] Marking TSC unstable due to TSC halts in idle
[    3.065091] Switching to clocksource hpet
[    3.112863] eeepc_laptop: Eee PC Hotkey Driver
[    3.112885] eeepc_laptop: Hotkey init flags 0x41
[    3.116478] eeepc_laptop: TYPE (2000000) not reported by BIOS, enabling anyway
[    3.116490] eeepc_laptop: Get control methods supported: 0x2101711
[    3.119309] input: Asus EeePC extra buttons as /devices/platform/eeepc/input/input6
[    3.168095] scsi 2:0:0:0: Direct-Access     USB2.0   CardReader SD0   0100 PQ: 0 ANSI: 0
[    3.169222] sd 2:0:0:0: Attached scsi generic sg2 type 0
[    3.170634] sd 2:0:0:0: [sdc] Attached SCSI removable disk
[    3.188464] [drm] Initialized drm 1.1.0 20060810
[    3.212727] ACPI: AC Adapter [AC0] (off-line)
[    3.345335] Linux media interface: v0.10
[    3.742437] eeepc_laptop: BIOS says wireless lan is blocked, but the pci device is present
[    3.742445] eeepc_laptop: skipped wireless hotplug as probably inappropriate for this model
[    3.743083] eeepc_laptop: Unable to find port
[    4.471776] ACPI: Battery Slot [BAT0] (battery present)
[    4.478831] intel_rng: FWH not detected
[    4.498534] Linux video capture interface: v2.00
[    4.514881] uvcvideo: Found UVC 1.00 device CNF7129 (04f2:b071)
[    4.535925] i915 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    4.535938] i915 0000:00:02.0: setting latency timer to 64
[    4.538764] input: CNF7129 as /devices/pci0000:00/0000:00:1d.7/usb1/1-8/1-8:1.0/input/input7
[    4.538908] usbcore: registered new interface driver uvcvideo
[    4.538913] USB Video Class driver (v1.1.0)
[    4.553838] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
[    4.553846] [drm] Driver supports precise vblank timestamp query.
[    4.554637] vgaarb: device changed decodes: PCI:0000:00:02.0,olddecodes=io+mem,decodes=io+mem:owns=io+mem
[    4.868396] [drm] initialized overlay support
[    5.114036] fbcon: inteldrmfb (fb0) is primary device
[    5.119216] [drm] Changing LVDS panel from (+hsync, +vsync) to (-hsync, -vsync)
[    5.120785] input: ImPS/2 Generic Wheel Mouse as /devices/platform/i8042/serio1/input/input8
[    5.162546] Console: switching to colour frame buffer device 128x37
[    5.168430] fb0: inteldrmfb frame buffer device
[    5.168435] drm: registered panic notifier
[    5.168529] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
[    5.168625] HDA Intel 0000:00:1b.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    5.168723] HDA Intel 0000:00:1b.0: irq 43 for MSI/MSI-X
[    5.168777] HDA Intel 0000:00:1b.0: setting latency timer to 64
[    5.211682] hda_codec: ALC662 rev1: BIOS auto-probing.
[    5.212809] input: HDA Digital PCBeep as /devices/pci0000:00/0000:00:1b.0/input/input9
[    5.215797] input: HDA Intel Mic as /devices/pci0000:00/0000:00:1b.0/sound/card0/input10
[    5.216230] input: HDA Intel Headphone as /devices/pci0000:00/0000:00:1b.0/sound/card0/input11
[    6.032242] Adding 521212k swap on /dev/sda2.  Priority:-1 extents:1 across:521212k 
[    6.042769] EXT3-fs (sda1): warning: maximal mount count reached, running e2fsck is recommended
[    6.049509] EXT3-fs (sda1): using internal journal
[    6.145862] loop: module loaded
[    6.697640] EXT3-fs: barriers not enabled
[    6.698183] kjournald starting.  Commit interval 5 seconds
[    6.698231] EXT3-fs (sdb1): warning: maximal mount count reached, running e2fsck is recommended
[    6.699622] EXT3-fs (sdb1): using internal journal
[    6.699632] EXT3-fs (sdb1): mounted filesystem with ordered data mode
[    7.208970] pciehp: Unknown parameter `pciehp_slot_with_bus'
[    7.377698] fuse init (API version 7.16)
[    7.634666] atl2 0000:03:00.0: irq 44 for MSI/MSI-X
[    7.635162] ADDRCONF(NETDEV_UP): eth0: link is not ready
[    7.840558] atl2: eth0 NIC Link is Up<100 Mbps Full Duplex>
[    7.840940] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[    9.131479] input: ACPI Virtual Keyboard Device as /devices/virtual/input/input12
[   18.848025] eth0: no IPv6 routers present

** Model information
not available

** Loaded modules:
Module                  Size  Used by
mperf                  12421  0 
cpufreq_conservative    12987  0 
cpufreq_userspace      12520  0 
cpufreq_powersave      12422  0 
cpufreq_stats          12758  0 
uinput                 12953  1 
fuse                   56331  1 
loop                   17866  0 
snd_hda_codec_realtek   206339  1 
snd_hda_intel          21691  0 
snd_hda_codec          58364  2 snd_hda_codec_realtek,snd_hda_intel
i915                  294451  2 
psmouse                46216  0 
uvcvideo               56927  0 
snd_hwdep              12936  1 snd_hda_codec
snd_pcm                53315  2 snd_hda_intel,snd_hda_codec
videodev               61530  1 uvcvideo
drm_kms_helper         22688  1 i915
evdev                  12995  17 
media                  13692  2 uvcvideo,videodev
serio_raw              12734  0 
rng_core               12616  0 
drm                   129847  3 i915,drm_kms_helper
snd_seq                39539  0 
battery                12957  0 
ac                     12552  0 
snd_timer              22027  2 snd_pcm,snd_seq
snd_seq_device         12985  1 snd_seq
eeepc_laptop           18249  0 
power_supply           13283  2 battery,ac
sparse_keymap          12707  1 eeepc_laptop
snd                    38562  8 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm,snd_seq,snd_timer,snd_seq_device
rfkill                 18522  1 eeepc_laptop
i2c_algo_bit           12722  1 i915
pci_hotplug            26736  1 eeepc_laptop
processor              27382  1 
button                 12810  1 i915
soundcore              12992  1 snd
snd_page_alloc         12899  2 snd_hda_intel,snd_pcm
i2c_core               19141  5 i915,videodev,drm_kms_helper,drm,i2c_algo_bit
video                  17475  1 i915
ext3                   99597  2 
jbd                    42027  1 ext3
mbcache                12898  1 ext3
usb_storage            35164  0 
uas                    13099  0 
sg                     21564  0 
sd_mod                 35493  5 
crc_t10dif             12332  1 sd_mod
ata_generic            12439  0 
ata_piix               21110  3 
ahci                   20897  0 
libahci                18231  1 ahci
libata                133339  4 ata_generic,ata_piix,ahci,libahci
scsi_mod              135178  5 usb_storage,uas,sg,sd_mod,libata
uhci_hcd               22275  0 
ehci_hcd               35401  0 
usbcore               104234  6 uvcvideo,usb_storage,uas,uhci_hcd,ehci_hcd
thermal                13138  0 
thermal_sys            17677  3 processor,video,thermal
atl2                   26475  0 

** Network interface configuration:
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

# The primary network interface
allow-hotplug eth0
iface eth0 inet static
	address 10.1.1.7
	netmask 255.255.255.0
	network 10.1.1.0
	broadcast 10.1.1.255
	gateway 10.1.1.1
	# dns-* options are implemented by the resolvconf package, if installed
	dns-nameservers 10.1.1.1

** Network status:
*** IP interfaces and addresses:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 00:22:15:04:ba:37 brd ff:ff:ff:ff:ff:ff
    inet 10.1.1.7/24 brd 10.1.1.255 scope global eth0
    inet6 fe80::222:15ff:fe04:ba37/64 scope link 
       valid_lft forever preferred_lft forever

*** Device statistics:
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes    packets errs drop fifo colls carrier compressed
    lo:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0
  eth0: 1796294    2089    0    0    0     0          0         0   390897    2152    0    0    0     0       1          0

*** Protocol statistics:
Ip:
    2072 total packets received
    0 forwarded
    0 incoming packets discarded
    2072 incoming packets delivered
    2129 requests sent out
Icmp:
    10 ICMP messages received
    0 input ICMP message failed.
    ICMP input histogram:
        destination unreachable: 10
    0 ICMP messages sent
    0 ICMP messages failed
    ICMP output histogram:
IcmpMsg:
        InType3: 10
Tcp:
    100 active connections openings
    0 passive connection openings
    0 failed connection attempts
    2 connection resets received
    31 connections established
    1862 segments received
    1899 segments send out
    26 segments retransmited
    0 bad segments received.
    35 resets sent
Udp:
    200 packets received
    0 packets to unknown port received.
    0 packet receive errors
    204 packets sent
UdpLite:
TcpExt:
    31 TCP sockets finished time wait in fast timer
    56 delayed acks sent
    Quick ack mode was activated 9 times
    1047 packet headers predicted
    233 acknowledgments not containing data payload received
    52 predicted acknowledgments
    20 retransmits in slow start
    6 other TCP timeouts
    9 DSACKs sent for old packets
    1 DSACKs received
    2 connections reset due to unexpected data
    1 connections reset due to early user close
    TCPDSACKIgnoredOld: 1
    TCPSackShiftFallback: 2
IpExt:
    OutMcastPkts: 2
    InOctets: 1766266
    OutOctets: 359909
    OutMcastOctets: 321


** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation Mobile 915GM/PM/GMS/910GML Express Processor to DRAM Controller [8086:2590] (rev 04)
	Subsystem: ASUSTeK Computer Inc. Device [1043:82d9]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller [8086:2592] (rev 04) (prog-if 00 [VGA controller])
	Subsystem: ASUSTeK Computer Inc. Device [1043:82d9]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f7f00000 (32-bit, non-prefetchable) [size=512K]
	Region 1: I/O ports at ec00 [size=8]
	Region 2: Memory at d0000000 (32-bit, prefetchable) [size=256M]
	Region 3: Memory at f7ec0000 (32-bit, non-prefetchable) [size=256K]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915

00:02.1 Display controller [0380]: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller [8086:2792] (rev 04)
	Subsystem: ASUSTeK Computer Inc. Device [1043:82d9]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at f7f80000 (32-bit, non-prefetchable) [size=512K]
	Capabilities: <access denied>

00:1b.0 Audio device [0403]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) High Definition Audio Controller [8086:2668] (rev 04)
	Subsystem: ASUSTeK Computer Inc. Device [1043:8337]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 16 bytes
	Interrupt: pin A routed to IRQ 43
	Region 0: Memory at f7eb8000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:1c.0 PCI bridge [0604]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 1 [8086:2660] (rev 04) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 16 bytes
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: 3fb00000-3fcfffff
	Prefetchable memory behind bridge: 000000003fd00000-000000003fefffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.1 PCI bridge [0604]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 2 [8086:2662] (rev 04) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 16 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: fbf00000-fbffffff
	Prefetchable memory behind bridge: 000000003f900000-000000003fafffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.2 PCI bridge [0604]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 3 [8086:2664] (rev 04) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 16 bytes
	Bus: primary=00, secondary=01, subordinate=02, sec-latency=0
	I/O behind bridge: 00001000-00001fff
	Memory behind bridge: f8000000-fbefffff
	Prefetchable memory behind bridge: 00000000f0000000-00000000f6ffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1d.0 USB Controller [0c03]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #1 [8086:2658] (rev 04) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:82d8]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 4: I/O ports at e400 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #2 [8086:2659] (rev 04) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:82d8]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 4: I/O ports at e480 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #3 [8086:265a] (rev 04) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:82d8]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 4: I/O ports at e800 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.3 USB Controller [0c03]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #4 [8086:265b] (rev 04) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:82d8]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 16
	Region 4: I/O ports at e880 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller [8086:265c] (rev 04) (prog-if 20 [EHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:82d8]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at f7eb7c00 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev d4) (prog-if 01 [Subtractive decode])
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=32
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge [8086:2641] (rev 04)
	Subsystem: ASUSTeK Computer Inc. Device [1043:82d8]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:1f.2 IDE interface [0101]: Intel Corporation 82801FBM (ICH6M) SATA Controller [8086:2653] (rev 04) (prog-if 80 [Master])
	Subsystem: ASUSTeK Computer Inc. Device [1043:82d8]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at ffa0 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: ata_piix

00:1f.3 SMBus [0c05]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus Controller [8086:266a] (rev 04)
	Subsystem: ASUSTeK Computer Inc. Device [1043:82d8]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 0
	Region 4: I/O ports at 0400 [size=32]

03:00.0 Ethernet controller [0200]: Atheros Communications L2 Fast Ethernet [1969:2048] (rev a0)
	Subsystem: ASUSTeK Computer Inc. Device [1043:8233]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 16 bytes
	Interrupt: pin A routed to IRQ 44
	Region 0: Memory at fbfc0000 (64-bit, non-prefetchable) [size=256K]
	Expansion ROM at fbfa0000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: atl2


** USB devices:
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 002: ID 0951:1606 Kingston Technology 
Bus 001 Device 003: ID 04f2:b071 Chicony Electronics Co., Ltd 2.0M UVC Webcam / CNF7129


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 3.0.0-1-686-pae (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-3.0.0-1-686-pae depends on:
ii  debconf [debconf-2.0]                   1.5.40
ii  initramfs-tools [linux-initramfs-tool]  0.99  
ii  linux-base                              3.3   
ii  module-init-tools                       3.16-1

Versions of packages linux-image-3.0.0-1-686-pae recommends:
ii  firmware-linux-free  3      
ii  libc6-i686           2.13-18

Versions of packages linux-image-3.0.0-1-686-pae suggests:
pn  grub-pc | extlinux | lilo  <none>
pn  linux-doc-3.0.0            <none>

Versions of packages linux-image-3.0.0-1-686-pae is related to:
pn  firmware-bnx2           <none>
pn  firmware-bnx2x          <none>
pn  firmware-ipw2x00        <none>
pn  firmware-ivtv           <none>
pn  firmware-iwlwifi        <none>
pn  firmware-linux          <none>
pn  firmware-linux-nonfree  <none>
pn  firmware-qlogic         <none>
pn  firmware-ralink         <none>
pn  xen-hypervisor          <none>

-- debconf information:
  linux-image-3.0.0-1-686-pae/prerm/removing-running-kernel-3.0.0-1-686-pae: true
  linux-image-3.0.0-1-686-pae/postinst/ignoring-ramdisk:
  linux-image-3.0.0-1-686-pae/postinst/missing-firmware-3.0.0-1-686-pae:
  linux-image-3.0.0-1-686-pae/postinst/depmod-error-initrd-3.0.0-1-686-pae: false
[linux-3.0.0-i915-rendering-error.png (image/png, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#641665; Package linux-2.6. (Thu, 15 Sep 2011 07:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 15 Sep 2011 07:09:07 GMT) Full text and rfc822 format available.

Message #10 received at 641665@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Vítor De Araújo <ux386@yahoo.com.br>
Cc: 641665@bugs.debian.org
Subject: Re: i915 rendering problems; affects font rendering in some X11 apps
Date: Thu, 15 Sep 2011 02:07:33 -0500
retitle 641665 915GM (Eee PC 900): fonts have some corrupted glyphs: strikethrough
# [1]
forwarded 641665 https://bugs.freedesktop.org/show_bug.cgi?id=36326
affects 641665 + xserver-xorg-video-intel
quit

Hi,

Vítor De Araújo wrote:

> I'm sending a screenshot of an affected screen attached. In this
> instance, the 'h' character is misrendered, but it varies from execution
> to execution.
>
> I'm running on an Eee PC 900, it this helps.

Thanks for reporting it.  Sounds like [1] (glyph cache corruption).
Might be related to bug#600474.  It seems to have been introduced
between 2.6.33 and 2.6.34, but since it's an intermittent problem,
bisection is hard.  Putting

	Section "Device"
		Identifier "Intel"
		Driver "intel"
		Option "DebugWait" "true"
	EndSection

in xorg.conf avoids trouble for some people.  The upstream report
contains some kernel and userspace patches that in combination work,
at the cost of some other regressions. :/




Changed Bug title to '915GM (Eee PC 900): fonts have some corrupted glyphs: strikethrough' from 'linux-image-3.0.0-1-686-pae: i915 rendering problems; affects font rendering in some X11 apps' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 15 Sep 2011 07:09:16 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugs.freedesktop.org/show_bug.cgi?id=36326'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 15 Sep 2011 07:09:16 GMT) Full text and rfc822 format available.

Added indication that 641665 affects xserver-xorg-video-intel Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 15 Sep 2011 07:09:17 GMT) Full text and rfc822 format available.

Forcibly Merged 641665 642703. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sun, 25 Sep 2011 23:00:49 GMT) Full text and rfc822 format available.

Disconnected #641665 from all other report(s). Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 26 Sep 2011 02:52:33 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 26 Sep 2011 02:52:34 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#641665; Package linux-2.6. (Wed, 15 Feb 2012 19:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 15 Feb 2012 19:54:03 GMT) Full text and rfc822 format available.

Message #27 received at 641665@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Vítor De Araújo <ux386@yahoo.com.br>
Cc: 641665@bugs.debian.org, xserver-xorg-video-intel@packages.debian.org
Subject: Re: 915GM (Eee PC 900): fonts have some corrupted glyphs: strikethrough
Date: Wed, 15 Feb 2012 13:51:29 -0600
Hi again,

Vítor De Araújo wrote:

> After upgrading to testing, some X11 apps, notably Iceweasel, started
> to present font rendering errors (characters missing parts).

Thanks for a nice report.

I'm curious about two things:

 - does 3.2.4-1 from sid behave any differently?  (I'd expect it doesn't.)
 - does upgrading xserver-xorg-video-intel to the version from experimental
   help?  (I am hoping it will.)

An answer of the form "no, I don't have time to check these things" is
fine too, and would help us decide what to do next.

Hope that helps,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#641665; Package linux-2.6. (Wed, 15 Feb 2012 21:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 15 Feb 2012 21:51:05 GMT) Full text and rfc822 format available.

Message #32 received at 641665@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Vítor De Araújo <ux386@yahoo.com.br>, 641665@bugs.debian.org, xserver-xorg-video-intel@packages.debian.org
Subject: Re: 915GM (Eee PC 900): fonts have some corrupted glyphs: strikethrough
Date: Wed, 15 Feb 2012 22:19:10 +0100
[Message part 1 (text/plain, inline)]
Hi,

Jonathan Nieder <jrnieder@gmail.com> (15/02/2012):
> Vítor De Araújo wrote:
> 
> > After upgrading to testing, some X11 apps, notably Iceweasel, started
> > to present font rendering errors (characters missing parts).

please try installing libpixman-1-0 0.24.4-1 from sid first. That should
fix a bunch of issues.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#641665; Package linux-2.6. (Sun, 19 Feb 2012 01:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vítor De Araújo <ux386@yahoo.com.br>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 19 Feb 2012 01:57:03 GMT) Full text and rfc822 format available.

Message #37 received at 641665@bugs.debian.org (full text, mbox):

From: Vítor De Araújo <ux386@yahoo.com.br>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 641665@bugs.debian.org, xserver-xorg-video-intel@packages.debian.org
Subject: Re: 915GM (Eee PC 900): fonts have some corrupted glyphs: strikethrough
Date: Sat, 18 Feb 2012 17:51:49 -0800 (PST)
--- Em qua, 15/2/12, Jonathan Nieder <jrnieder@gmail.com> escreveu:

> Hi again,
> 
> Vítor De Araújo wrote:
> 
> > After upgrading to testing, some X11 apps, notably Iceweasel, started
> > to present font rendering errors (characters missing parts).
> 
> Thanks for a nice report.
> 
> I'm curious about two things:
> 
>  - does 3.2.4-1 from sid behave any differently?  (I'd
> expect it doesn't.)
>  - does upgrading xserver-xorg-video-intel to the version
> from experimental
>    help?  (I am hoping it will.)
> 
> An answer of the form "no, I don't have time to check these
> things" is
> fine too, and would help us decide what to do next.

Recently the machine that presented this problem stopped working. I may be able to get it to work in the following days, but I can't be sure. If I do, I will check it, but I wouldn't count on that...

Thanks for the attention!

> Hope that helps,
> Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#641665; Package linux-2.6. (Sun, 19 Feb 2012 04:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 19 Feb 2012 04:27:03 GMT) Full text and rfc822 format available.

Message #42 received at 641665@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Vítor De Araújo <ux386@yahoo.com.br>
Cc: 641665@bugs.debian.org, xserver-xorg-video-intel@packages.debian.org, Joachim Breitner <nomeata@debian.org>
Subject: Re: 915GM: fonts have some corrupted glyphs: strikethrough
Date: Sat, 18 Feb 2012 22:22:04 -0600
Vítor De Araújo wrote[1]:

> After upgrading to testing, some X11 apps, notably Iceweasel, started
> to present font rendering errors (characters missing parts).

Cyril Brulebois wrote:

> please try installing libpixman-1-0 0.24.4-1 from sid first. That should
> fix a bunch of issues.

Vítor De Araújo wrote:

> Recently the machine that presented this problem stopped working. I
> may be able to get it to work in the following days, but I can't be
> sure. If I do, I will check it, but I wouldn't count on that...

Thanks.

Joachim, you experienced vaguely similar symptoms if I remember
correctly[2].  Did these occur always or only after hibernation?  Do
you still experience them?  If not, do you remember if some upgrade
(like pixman or xserver-xorg-video-intel) fixed it?

Sorry for the slow response,
Jonathan

[1] http://bugs.debian.org/641665
[2] http://lists.debian.org/debian-devel/2011/09/msg00523.html




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#641665; Package linux-2.6. (Mon, 20 Feb 2012 20:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 20 Feb 2012 20:27:03 GMT) Full text and rfc822 format available.

Message #47 received at 641665@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Vítor De Araújo <ux386@yahoo.com.br>, 641665@bugs.debian.org, xserver-xorg-video-intel@packages.debian.org
Subject: Re: 915GM: fonts have some corrupted glyphs: strikethrough
Date: Mon, 20 Feb 2012 21:22:51 +0100
[Message part 1 (text/plain, inline)]
Dear Jonathan,

Am Samstag, den 18.02.2012, 22:22 -0600 schrieb Jonathan Nieder:
> Joachim, you experienced vaguely similar symptoms if I remember
> correctly[2].  Did these occur always or only after hibernation?  Do
> you still experience them?  If not, do you remember if some upgrade
> (like pixman or xserver-xorg-video-intel) fixed it?

I tried to reproduce it by filling my memory beyond the swap space, but
the fonts are still fine. There is some corruption in the background
image of X, though, which could have the same cause.

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#641665; Package linux-2.6. (Sun, 26 Feb 2012 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 26 Feb 2012 17:03:03 GMT) Full text and rfc822 format available.

Message #52 received at 641665@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Vítor De Araújo <ux386@yahoo.com.br>, 641665@bugs.debian.org, xserver-xorg-video-intel@packages.debian.org
Subject: Re: 915GM: fonts have some corrupted glyphs: strikethrough
Date: Sun, 26 Feb 2012 18:00:56 +0100
[Message part 1 (text/plain, inline)]
Hi again,

Am Montag, den 20.02.2012, 21:22 +0100 schrieb Joachim Breitner:
> Am Samstag, den 18.02.2012, 22:22 -0600 schrieb Jonathan Nieder:
> > Joachim, you experienced vaguely similar symptoms if I remember
> > correctly[2].  Did these occur always or only after hibernation?  Do
> > you still experience them?  If not, do you remember if some upgrade
> > (like pixman or xserver-xorg-video-intel) fixed it?
> 
> I tried to reproduce it by filling my memory beyond the swap space, but
> the fonts are still fine. There is some corruption in the background
> image of X, though, which could have the same cause.

I just had a real, unintentional OOM-situation again and now all my
fonts are garbled again (I hope I don’t make typos, I am typing this
semi-blind :-)), so the problem is definitely _not_ yet fixed in
unstable.

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#641665; Package linux-2.6. (Sun, 26 Feb 2012 17:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 26 Feb 2012 17:15:03 GMT) Full text and rfc822 format available.

Message #57 received at 641665@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Joachim Breitner <nomeata@debian.org>
Cc: Vítor De Araújo <ux386@yahoo.com.br>, 641665@bugs.debian.org, xserver-xorg-video-intel@packages.debian.org
Subject: Re: 915GM: fonts have some corrupted glyphs: strikethrough
Date: Sun, 26 Feb 2012 11:13:13 -0600
found 641665 linux-2.6/3.2.6-1
quit

Joachim Breitner wrote:

> I just had a real, unintentional OOM-situation again and now all my
> fonts are garbled again (I hope I don’t make typos, I am typing this
> semi-blind :-)), so the problem is definitely _not_ yet fixed in
> unstable.

Thanks.  Nice to know.

Was the corruption in the background image of X mentioned in
<http://bugs.debian.org/641665#47> reproducible, and does it only
happen in OOM-situations?  If so, maybe that would be a good angle of
attack --- can you check if it happens with xserver-xorg-video-intel
from experimental (SNA)?

Jonathan




Bug Marked as found in versions linux-2.6/3.2.6-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 26 Feb 2012 17:15:05 GMT) Full text and rfc822 format available.

Reply sent to Moritz Mühlenhoff <jmm@inutil.org>:
You have taken responsibility. (Mon, 15 Jul 2013 17:09:58 GMT) Full text and rfc822 format available.

Notification sent to Vítor De Araújo <ux386@yahoo.com.br>:
Bug acknowledged by developer. (Mon, 15 Jul 2013 17:09:58 GMT) Full text and rfc822 format available.

Message #64 received at 641665-done@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: 641665-done@bugs.debian.org, 630845-done@bugs.debian.org, 673703-done@bugs.debian.org, 642235-done@bugs.debian.org, 645366-done@bugs.debian.org, 290997-done@bugs.debian.org, 645695-done@bugs.debian.org, 647095-done@bugs.debian.org
Subject: Closing
Date: Mon, 15 Jul 2013 19:05:16 +0200
Hi,
your bug has been filed against the "linux-2.6" source package and was filed for
a kernel older than the recently released Debian 7.x / Wheezy with a severity
less than important.

We don't have the ressources to reproduce the complete backlog of all older kernel
bugs, so we're closing this bug for now. If you can reproduce the bug with Debian Wheezy
or a more recent kernel from testing or unstable, please reopen the bug by sending
a mail to control@bugs.debian.org with the following three commands included in the
mail:

reopen BUGNUMBER
reassign BUGNUMBER src:linux
thanks

Cheers,
        Moritz



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 Aug 2013 07:35:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:14:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.